"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCodes = exports.HomeWizardDeviceTypes = exports.MDNS_DISCOVERY_PROTOCOL = exports.MDNS_DISCOVERY_TYPE = exports.PLATFORM_MANUFACTURER = void 0;
exports.PLATFORM_MANUFACTURER = 'HomeWizard';
exports.MDNS_DISCOVERY_TYPE = 'hwenergy';
exports.MDNS_DISCOVERY_PROTOCOL = 'tcp';
var HomeWizardDeviceTypes;
(function (HomeWizardDeviceTypes) {
    HomeWizardDeviceTypes["WIFI_PI_METER"] = "HWE-P1";
    HomeWizardDeviceTypes["WIFI_ENERGY_SOCKET"] = "HWE-SKT";
    HomeWizardDeviceTypes["WIFI_WATER_METER"] = "HWE-WTR";
    HomeWizardDeviceTypes["WIFI_KWH_METER_PHASE_1"] = "SDM230-wifi";
    HomeWizardDeviceTypes["WIFI_KWH_METER_PHASE_2"] = "SDM630-wifi";
})(HomeWizardDeviceTypes = exports.HomeWizardDeviceTypes || (exports.HomeWizardDeviceTypes = {}));
var ErrorCodes;
(function (ErrorCodes) {
    ErrorCodes[ErrorCodes["BODY_CONTAINS_INVALID_JSON"] = 2] = "BODY_CONTAINS_INVALID_JSON";
    ErrorCodes[ErrorCodes["NO_DATA_IN_BODY"] = 5] = "NO_DATA_IN_BODY";
    ErrorCodes[ErrorCodes["INVALID_VALUE_FOR_PARAMETER"] = 7] = "INVALID_VALUE_FOR_PARAMETER";
    ErrorCodes[ErrorCodes["PARAMETER_IS_NOT_MODIFIABLE"] = 8] = "PARAMETER_IS_NOT_MODIFIABLE";
    ErrorCodes[ErrorCodes["REQUEST_TO_LONG"] = 201] = "REQUEST_TO_LONG";
    ErrorCodes[ErrorCodes["API_DISABLED"] = 202] = "API_DISABLED";
    ErrorCodes[ErrorCodes["INTERNAL_ERROR"] = 901] = "INTERNAL_ERROR";
})(ErrorCodes = exports.ErrorCodes || (exports.ErrorCodes = {}));
//# sourceMappingURL=types.js.map