import { SupportedDevices } from 'homewizard-energy-api';
import { ConfigSchemaEnergySocket } from './config.schema';
export interface EnergySocketAccessoryProperties {
    uuid: string;
    ip: string;
    apiVersion: string;
    apiUrl: string;
    serialNumber: string;
    productName: string;
    productType: SupportedDevices;
    displayName: string;
    firmwareVersion: string;
    activePower: number | null;
    config?: ConfigSchemaEnergySocket;
}
export interface HomeWizardEnergyPlatformAccessoryContext {
    energySocket: EnergySocketAccessoryProperties;
}
export declare const PLATFORM_MANUFACTURER = "HomeWizard";
export declare const MDNS_DISCOVERY_TYPE = "hwenergy";
export declare const MDNS_DISCOVERY_PROTOCOL = "tcp";
//# sourceMappingURL=types.d.ts.map